
BuildRequires: erlang

Summary: SimpleBridge provides a simple, standardized interface to Erlang HTTP Servers. 
Name: simple_bridge
Version: 1.0
License: GPL
Release: 1.8
Requires: erlang
Group: Library/Networking
Source: %{name}-%{version}.tar.bz2
Patch0: fix-yaws-simplebridge.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Authors
--------------------------
  Rusty Klophaus <rklophaus>

%prep
%setup -c
%patch0 -p3

%build
make

%install
for i in ebin include
do
    mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{name}-%{version}/$i
    cp $i/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{name}-%{version}/$i
done

%clean
make clean

%files
%defattr(-,root,root)
%dir %{_libdir}/erlang/lib/%{name}-%{version}
%{_libdir}/erlang/lib/%{name}-%{version}/*

%changelog
